Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network123.128.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
123.128.0.0
Broadcast address
123.255.255.255
First usable
123.128.0.1
Last usable
123.255.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 7B800000 · Integer 2071986176 to 2080374783
Reverse DNS zones
128.123.in-addr.arpa
129.123.in-addr.arpa
130.123.in-addr.arpa
131.123.in-addr.arpa
132.123.in-addr.arpa
133.123.in-addr.arpa
134.123.in-addr.arpa
135.123.in-addr.arpa
136.123.in-addr.arpa
137.123.in-addr.arpa
138.123.in-addr.arpa
139.123.in-addr.arpa
140.123.in-addr.arpa
141.123.in-addr.arpa
142.123.in-addr.arpa
143.123.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111011.10000000.00000000.00000000123.128.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01111011.10000000.00000000.00000000123.128.0.0
Broadcast01111011.11111111.11111111.11111111123.255.255.255
Split into smaller subnets/19

123.128.0.0/9 makes 1,024 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1123.128.0.0/19123.128.0.1 to 123.128.31.254123.128.31.2558,190
2123.128.32.0/19123.128.32.1 to 123.128.63.254123.128.63.2558,190
3123.128.64.0/19123.128.64.1 to 123.128.95.254123.128.95.2558,190
4123.128.96.0/19123.128.96.1 to 123.128.127.254123.128.127.2558,190
5123.128.128.0/19123.128.128.1 to 123.128.159.254123.128.159.2558,190
6123.128.160.0/19123.128.160.1 to 123.128.191.254123.128.191.2558,190
7123.128.192.0/19123.128.192.1 to 123.128.223.254123.128.223.2558,190
8123.128.224.0/19123.128.224.1 to 123.128.255.254123.128.255.2558,190
9123.129.0.0/19123.129.0.1 to 123.129.31.254123.129.31.2558,190
10123.129.32.0/19123.129.32.1 to 123.129.63.254123.129.63.2558,190
11123.129.64.0/19123.129.64.1 to 123.129.95.254123.129.95.2558,190
12123.129.96.0/19123.129.96.1 to 123.129.127.254123.129.127.2558,190
13123.129.128.0/19123.129.128.1 to 123.129.159.254123.129.159.2558,190
14123.129.160.0/19123.129.160.1 to 123.129.191.254123.129.191.2558,190
15123.129.192.0/19123.129.192.1 to 123.129.223.254123.129.223.2558,190
16123.129.224.0/19123.129.224.1 to 123.129.255.254123.129.255.2558,190
17123.130.0.0/19123.130.0.1 to 123.130.31.254123.130.31.2558,190
18123.130.32.0/19123.130.32.1 to 123.130.63.254123.130.63.2558,190
19123.130.64.0/19123.130.64.1 to 123.130.95.254123.130.95.2558,190
20123.130.96.0/19123.130.96.1 to 123.130.127.254123.130.127.2558,190
21123.130.128.0/19123.130.128.1 to 123.130.159.254123.130.159.2558,190
22123.130.160.0/19123.130.160.1 to 123.130.191.254123.130.191.2558,190
23123.130.192.0/19123.130.192.1 to 123.130.223.254123.130.223.2558,190
24123.130.224.0/19123.130.224.1 to 123.130.255.254123.130.255.2558,190
25123.131.0.0/19123.131.0.1 to 123.131.31.254123.131.31.2558,190
26123.131.32.0/19123.131.32.1 to 123.131.63.254123.131.63.2558,190
27123.131.64.0/19123.131.64.1 to 123.131.95.254123.131.95.2558,190
28123.131.96.0/19123.131.96.1 to 123.131.127.254123.131.127.2558,190
29123.131.128.0/19123.131.128.1 to 123.131.159.254123.131.159.2558,190
30123.131.160.0/19123.131.160.1 to 123.131.191.254123.131.191.2558,190
31123.131.192.0/19123.131.192.1 to 123.131.223.254123.131.223.2558,190
32123.131.224.0/19123.131.224.1 to 123.131.255.254123.131.255.2558,190
33123.132.0.0/19123.132.0.1 to 123.132.31.254123.132.31.2558,190
34123.132.32.0/19123.132.32.1 to 123.132.63.254123.132.63.2558,190
35123.132.64.0/19123.132.64.1 to 123.132.95.254123.132.95.2558,190
36123.132.96.0/19123.132.96.1 to 123.132.127.254123.132.127.2558,190
37123.132.128.0/19123.132.128.1 to 123.132.159.254123.132.159.2558,190
38123.132.160.0/19123.132.160.1 to 123.132.191.254123.132.191.2558,190
39123.132.192.0/19123.132.192.1 to 123.132.223.254123.132.223.2558,190
40123.132.224.0/19123.132.224.1 to 123.132.255.254123.132.255.2558,190
41123.133.0.0/19123.133.0.1 to 123.133.31.254123.133.31.2558,190
42123.133.32.0/19123.133.32.1 to 123.133.63.254123.133.63.2558,190
43123.133.64.0/19123.133.64.1 to 123.133.95.254123.133.95.2558,190
44123.133.96.0/19123.133.96.1 to 123.133.127.254123.133.127.2558,190
45123.133.128.0/19123.133.128.1 to 123.133.159.254123.133.159.2558,190
46123.133.160.0/19123.133.160.1 to 123.133.191.254123.133.191.2558,190
47123.133.192.0/19123.133.192.1 to 123.133.223.254123.133.223.2558,190
48123.133.224.0/19123.133.224.1 to 123.133.255.254123.133.255.2558,190
49123.134.0.0/19123.134.0.1 to 123.134.31.254123.134.31.2558,190
50123.134.32.0/19123.134.32.1 to 123.134.63.254123.134.63.2558,190
51123.134.64.0/19123.134.64.1 to 123.134.95.254123.134.95.2558,190
52123.134.96.0/19123.134.96.1 to 123.134.127.254123.134.127.2558,190
53123.134.128.0/19123.134.128.1 to 123.134.159.254123.134.159.2558,190
54123.134.160.0/19123.134.160.1 to 123.134.191.254123.134.191.2558,190
55123.134.192.0/19123.134.192.1 to 123.134.223.254123.134.223.2558,190
56123.134.224.0/19123.134.224.1 to 123.134.255.254123.134.255.2558,190
57123.135.0.0/19123.135.0.1 to 123.135.31.254123.135.31.2558,190
58123.135.32.0/19123.135.32.1 to 123.135.63.254123.135.63.2558,190
59123.135.64.0/19123.135.64.1 to 123.135.95.254123.135.95.2558,190
60123.135.96.0/19123.135.96.1 to 123.135.127.254123.135.127.2558,190
61123.135.128.0/19123.135.128.1 to 123.135.159.254123.135.159.2558,190
62123.135.160.0/19123.135.160.1 to 123.135.191.254123.135.191.2558,190
63123.135.192.0/19123.135.192.1 to 123.135.223.254123.135.223.2558,190
64123.135.224.0/19123.135.224.1 to 123.135.255.254123.135.255.2558,190
65123.136.0.0/19123.136.0.1 to 123.136.31.254123.136.31.2558,190
66123.136.32.0/19123.136.32.1 to 123.136.63.254123.136.63.2558,190
67123.136.64.0/19123.136.64.1 to 123.136.95.254123.136.95.2558,190
68123.136.96.0/19123.136.96.1 to 123.136.127.254123.136.127.2558,190
69123.136.128.0/19123.136.128.1 to 123.136.159.254123.136.159.2558,190
70123.136.160.0/19123.136.160.1 to 123.136.191.254123.136.191.2558,190
71123.136.192.0/19123.136.192.1 to 123.136.223.254123.136.223.2558,190
72123.136.224.0/19123.136.224.1 to 123.136.255.254123.136.255.2558,190
73123.137.0.0/19123.137.0.1 to 123.137.31.254123.137.31.2558,190
74123.137.32.0/19123.137.32.1 to 123.137.63.254123.137.63.2558,190
75123.137.64.0/19123.137.64.1 to 123.137.95.254123.137.95.2558,190
76123.137.96.0/19123.137.96.1 to 123.137.127.254123.137.127.2558,190
77123.137.128.0/19123.137.128.1 to 123.137.159.254123.137.159.2558,190
78123.137.160.0/19123.137.160.1 to 123.137.191.254123.137.191.2558,190
79123.137.192.0/19123.137.192.1 to 123.137.223.254123.137.223.2558,190
80123.137.224.0/19123.137.224.1 to 123.137.255.254123.137.255.2558,190
81123.138.0.0/19123.138.0.1 to 123.138.31.254123.138.31.2558,190
82123.138.32.0/19123.138.32.1 to 123.138.63.254123.138.63.2558,190
83123.138.64.0/19123.138.64.1 to 123.138.95.254123.138.95.2558,190
84123.138.96.0/19123.138.96.1 to 123.138.127.254123.138.127.2558,190
85123.138.128.0/19123.138.128.1 to 123.138.159.254123.138.159.2558,190
86123.138.160.0/19123.138.160.1 to 123.138.191.254123.138.191.2558,190
87123.138.192.0/19123.138.192.1 to 123.138.223.254123.138.223.2558,190
88123.138.224.0/19123.138.224.1 to 123.138.255.254123.138.255.2558,190
89123.139.0.0/19123.139.0.1 to 123.139.31.254123.139.31.2558,190
90123.139.32.0/19123.139.32.1 to 123.139.63.254123.139.63.2558,190
91123.139.64.0/19123.139.64.1 to 123.139.95.254123.139.95.2558,190
92123.139.96.0/19123.139.96.1 to 123.139.127.254123.139.127.2558,190
93123.139.128.0/19123.139.128.1 to 123.139.159.254123.139.159.2558,190
94123.139.160.0/19123.139.160.1 to 123.139.191.254123.139.191.2558,190
95123.139.192.0/19123.139.192.1 to 123.139.223.254123.139.223.2558,190
96123.139.224.0/19123.139.224.1 to 123.139.255.254123.139.255.2558,190
97123.140.0.0/19123.140.0.1 to 123.140.31.254123.140.31.2558,190
98123.140.32.0/19123.140.32.1 to 123.140.63.254123.140.63.2558,190
99123.140.64.0/19123.140.64.1 to 123.140.95.254123.140.95.2558,190
100123.140.96.0/19123.140.96.1 to 123.140.127.254123.140.127.2558,190
101123.140.128.0/19123.140.128.1 to 123.140.159.254123.140.159.2558,190
102123.140.160.0/19123.140.160.1 to 123.140.191.254123.140.191.2558,190
103123.140.192.0/19123.140.192.1 to 123.140.223.254123.140.223.2558,190
104123.140.224.0/19123.140.224.1 to 123.140.255.254123.140.255.2558,190
105123.141.0.0/19123.141.0.1 to 123.141.31.254123.141.31.2558,190
106123.141.32.0/19123.141.32.1 to 123.141.63.254123.141.63.2558,190
107123.141.64.0/19123.141.64.1 to 123.141.95.254123.141.95.2558,190
108123.141.96.0/19123.141.96.1 to 123.141.127.254123.141.127.2558,190
109123.141.128.0/19123.141.128.1 to 123.141.159.254123.141.159.2558,190
110123.141.160.0/19123.141.160.1 to 123.141.191.254123.141.191.2558,190
111123.141.192.0/19123.141.192.1 to 123.141.223.254123.141.223.2558,190
112123.141.224.0/19123.141.224.1 to 123.141.255.254123.141.255.2558,190
113123.142.0.0/19123.142.0.1 to 123.142.31.254123.142.31.2558,190
114123.142.32.0/19123.142.32.1 to 123.142.63.254123.142.63.2558,190
115123.142.64.0/19123.142.64.1 to 123.142.95.254123.142.95.2558,190
116123.142.96.0/19123.142.96.1 to 123.142.127.254123.142.127.2558,190
117123.142.128.0/19123.142.128.1 to 123.142.159.254123.142.159.2558,190
118123.142.160.0/19123.142.160.1 to 123.142.191.254123.142.191.2558,190
119123.142.192.0/19123.142.192.1 to 123.142.223.254123.142.223.2558,190
120123.142.224.0/19123.142.224.1 to 123.142.255.254123.142.255.2558,190
121123.143.0.0/19123.143.0.1 to 123.143.31.254123.143.31.2558,190
122123.143.32.0/19123.143.32.1 to 123.143.63.254123.143.63.2558,190
123123.143.64.0/19123.143.64.1 to 123.143.95.254123.143.95.2558,190
124123.143.96.0/19123.143.96.1 to 123.143.127.254123.143.127.2558,190
125123.143.128.0/19123.143.128.1 to 123.143.159.254123.143.159.2558,190
126123.143.160.0/19123.143.160.1 to 123.143.191.254123.143.191.2558,190
127123.143.192.0/19123.143.192.1 to 123.143.223.254123.143.223.2558,190
128123.143.224.0/19123.143.224.1 to 123.143.255.254123.143.255.2558,190
129123.144.0.0/19123.144.0.1 to 123.144.31.254123.144.31.2558,190
130123.144.32.0/19123.144.32.1 to 123.144.63.254123.144.63.2558,190
131123.144.64.0/19123.144.64.1 to 123.144.95.254123.144.95.2558,190
132123.144.96.0/19123.144.96.1 to 123.144.127.254123.144.127.2558,190
133123.144.128.0/19123.144.128.1 to 123.144.159.254123.144.159.2558,190
134123.144.160.0/19123.144.160.1 to 123.144.191.254123.144.191.2558,190
135123.144.192.0/19123.144.192.1 to 123.144.223.254123.144.223.2558,190
136123.144.224.0/19123.144.224.1 to 123.144.255.254123.144.255.2558,190
137123.145.0.0/19123.145.0.1 to 123.145.31.254123.145.31.2558,190
138123.145.32.0/19123.145.32.1 to 123.145.63.254123.145.63.2558,190
139123.145.64.0/19123.145.64.1 to 123.145.95.254123.145.95.2558,190
140123.145.96.0/19123.145.96.1 to 123.145.127.254123.145.127.2558,190
141123.145.128.0/19123.145.128.1 to 123.145.159.254123.145.159.2558,190
142123.145.160.0/19123.145.160.1 to 123.145.191.254123.145.191.2558,190
143123.145.192.0/19123.145.192.1 to 123.145.223.254123.145.223.2558,190
144123.145.224.0/19123.145.224.1 to 123.145.255.254123.145.255.2558,190
145123.146.0.0/19123.146.0.1 to 123.146.31.254123.146.31.2558,190
146123.146.32.0/19123.146.32.1 to 123.146.63.254123.146.63.2558,190
147123.146.64.0/19123.146.64.1 to 123.146.95.254123.146.95.2558,190
148123.146.96.0/19123.146.96.1 to 123.146.127.254123.146.127.2558,190
149123.146.128.0/19123.146.128.1 to 123.146.159.254123.146.159.2558,190
150123.146.160.0/19123.146.160.1 to 123.146.191.254123.146.191.2558,190
151123.146.192.0/19123.146.192.1 to 123.146.223.254123.146.223.2558,190
152123.146.224.0/19123.146.224.1 to 123.146.255.254123.146.255.2558,190
153123.147.0.0/19123.147.0.1 to 123.147.31.254123.147.31.2558,190
154123.147.32.0/19123.147.32.1 to 123.147.63.254123.147.63.2558,190
155123.147.64.0/19123.147.64.1 to 123.147.95.254123.147.95.2558,190
156123.147.96.0/19123.147.96.1 to 123.147.127.254123.147.127.2558,190
157123.147.128.0/19123.147.128.1 to 123.147.159.254123.147.159.2558,190
158123.147.160.0/19123.147.160.1 to 123.147.191.254123.147.191.2558,190
159123.147.192.0/19123.147.192.1 to 123.147.223.254123.147.223.2558,190
160123.147.224.0/19123.147.224.1 to 123.147.255.254123.147.255.2558,190
161123.148.0.0/19123.148.0.1 to 123.148.31.254123.148.31.2558,190
162123.148.32.0/19123.148.32.1 to 123.148.63.254123.148.63.2558,190
163123.148.64.0/19123.148.64.1 to 123.148.95.254123.148.95.2558,190
164123.148.96.0/19123.148.96.1 to 123.148.127.254123.148.127.2558,190
165123.148.128.0/19123.148.128.1 to 123.148.159.254123.148.159.2558,190
166123.148.160.0/19123.148.160.1 to 123.148.191.254123.148.191.2558,190
167123.148.192.0/19123.148.192.1 to 123.148.223.254123.148.223.2558,190
168123.148.224.0/19123.148.224.1 to 123.148.255.254123.148.255.2558,190
169123.149.0.0/19123.149.0.1 to 123.149.31.254123.149.31.2558,190
170123.149.32.0/19123.149.32.1 to 123.149.63.254123.149.63.2558,190
171123.149.64.0/19123.149.64.1 to 123.149.95.254123.149.95.2558,190
172123.149.96.0/19123.149.96.1 to 123.149.127.254123.149.127.2558,190
173123.149.128.0/19123.149.128.1 to 123.149.159.254123.149.159.2558,190
174123.149.160.0/19123.149.160.1 to 123.149.191.254123.149.191.2558,190
175123.149.192.0/19123.149.192.1 to 123.149.223.254123.149.223.2558,190
176123.149.224.0/19123.149.224.1 to 123.149.255.254123.149.255.2558,190
177123.150.0.0/19123.150.0.1 to 123.150.31.254123.150.31.2558,190
178123.150.32.0/19123.150.32.1 to 123.150.63.254123.150.63.2558,190
179123.150.64.0/19123.150.64.1 to 123.150.95.254123.150.95.2558,190
180123.150.96.0/19123.150.96.1 to 123.150.127.254123.150.127.2558,190
181123.150.128.0/19123.150.128.1 to 123.150.159.254123.150.159.2558,190
182123.150.160.0/19123.150.160.1 to 123.150.191.254123.150.191.2558,190
183123.150.192.0/19123.150.192.1 to 123.150.223.254123.150.223.2558,190
184123.150.224.0/19123.150.224.1 to 123.150.255.254123.150.255.2558,190
185123.151.0.0/19123.151.0.1 to 123.151.31.254123.151.31.2558,190
186123.151.32.0/19123.151.32.1 to 123.151.63.254123.151.63.2558,190
187123.151.64.0/19123.151.64.1 to 123.151.95.254123.151.95.2558,190
188123.151.96.0/19123.151.96.1 to 123.151.127.254123.151.127.2558,190
189123.151.128.0/19123.151.128.1 to 123.151.159.254123.151.159.2558,190
190123.151.160.0/19123.151.160.1 to 123.151.191.254123.151.191.2558,190
191123.151.192.0/19123.151.192.1 to 123.151.223.254123.151.223.2558,190
192123.151.224.0/19123.151.224.1 to 123.151.255.254123.151.255.2558,190
193123.152.0.0/19123.152.0.1 to 123.152.31.254123.152.31.2558,190
194123.152.32.0/19123.152.32.1 to 123.152.63.254123.152.63.2558,190
195123.152.64.0/19123.152.64.1 to 123.152.95.254123.152.95.2558,190
196123.152.96.0/19123.152.96.1 to 123.152.127.254123.152.127.2558,190
197123.152.128.0/19123.152.128.1 to 123.152.159.254123.152.159.2558,190
198123.152.160.0/19123.152.160.1 to 123.152.191.254123.152.191.2558,190
199123.152.192.0/19123.152.192.1 to 123.152.223.254123.152.223.2558,190
200123.152.224.0/19123.152.224.1 to 123.152.255.254123.152.255.2558,190
201123.153.0.0/19123.153.0.1 to 123.153.31.254123.153.31.2558,190
202123.153.32.0/19123.153.32.1 to 123.153.63.254123.153.63.2558,190
203123.153.64.0/19123.153.64.1 to 123.153.95.254123.153.95.2558,190
204123.153.96.0/19123.153.96.1 to 123.153.127.254123.153.127.2558,190
205123.153.128.0/19123.153.128.1 to 123.153.159.254123.153.159.2558,190
206123.153.160.0/19123.153.160.1 to 123.153.191.254123.153.191.2558,190
207123.153.192.0/19123.153.192.1 to 123.153.223.254123.153.223.2558,190
208123.153.224.0/19123.153.224.1 to 123.153.255.254123.153.255.2558,190
209123.154.0.0/19123.154.0.1 to 123.154.31.254123.154.31.2558,190
210123.154.32.0/19123.154.32.1 to 123.154.63.254123.154.63.2558,190
211123.154.64.0/19123.154.64.1 to 123.154.95.254123.154.95.2558,190
212123.154.96.0/19123.154.96.1 to 123.154.127.254123.154.127.2558,190
213123.154.128.0/19123.154.128.1 to 123.154.159.254123.154.159.2558,190
214123.154.160.0/19123.154.160.1 to 123.154.191.254123.154.191.2558,190
215123.154.192.0/19123.154.192.1 to 123.154.223.254123.154.223.2558,190
216123.154.224.0/19123.154.224.1 to 123.154.255.254123.154.255.2558,190
217123.155.0.0/19123.155.0.1 to 123.155.31.254123.155.31.2558,190
218123.155.32.0/19123.155.32.1 to 123.155.63.254123.155.63.2558,190
219123.155.64.0/19123.155.64.1 to 123.155.95.254123.155.95.2558,190
220123.155.96.0/19123.155.96.1 to 123.155.127.254123.155.127.2558,190
221123.155.128.0/19123.155.128.1 to 123.155.159.254123.155.159.2558,190
222123.155.160.0/19123.155.160.1 to 123.155.191.254123.155.191.2558,190
223123.155.192.0/19123.155.192.1 to 123.155.223.254123.155.223.2558,190
224123.155.224.0/19123.155.224.1 to 123.155.255.254123.155.255.2558,190
225123.156.0.0/19123.156.0.1 to 123.156.31.254123.156.31.2558,190
226123.156.32.0/19123.156.32.1 to 123.156.63.254123.156.63.2558,190
227123.156.64.0/19123.156.64.1 to 123.156.95.254123.156.95.2558,190
228123.156.96.0/19123.156.96.1 to 123.156.127.254123.156.127.2558,190
229123.156.128.0/19123.156.128.1 to 123.156.159.254123.156.159.2558,190
230123.156.160.0/19123.156.160.1 to 123.156.191.254123.156.191.2558,190
231123.156.192.0/19123.156.192.1 to 123.156.223.254123.156.223.2558,190
232123.156.224.0/19123.156.224.1 to 123.156.255.254123.156.255.2558,190
233123.157.0.0/19123.157.0.1 to 123.157.31.254123.157.31.2558,190
234123.157.32.0/19123.157.32.1 to 123.157.63.254123.157.63.2558,190
235123.157.64.0/19123.157.64.1 to 123.157.95.254123.157.95.2558,190
236123.157.96.0/19123.157.96.1 to 123.157.127.254123.157.127.2558,190
237123.157.128.0/19123.157.128.1 to 123.157.159.254123.157.159.2558,190
238123.157.160.0/19123.157.160.1 to 123.157.191.254123.157.191.2558,190
239123.157.192.0/19123.157.192.1 to 123.157.223.254123.157.223.2558,190
240123.157.224.0/19123.157.224.1 to 123.157.255.254123.157.255.2558,190
241123.158.0.0/19123.158.0.1 to 123.158.31.254123.158.31.2558,190
242123.158.32.0/19123.158.32.1 to 123.158.63.254123.158.63.2558,190
243123.158.64.0/19123.158.64.1 to 123.158.95.254123.158.95.2558,190
244123.158.96.0/19123.158.96.1 to 123.158.127.254123.158.127.2558,190
245123.158.128.0/19123.158.128.1 to 123.158.159.254123.158.159.2558,190
246123.158.160.0/19123.158.160.1 to 123.158.191.254123.158.191.2558,190
247123.158.192.0/19123.158.192.1 to 123.158.223.254123.158.223.2558,190
248123.158.224.0/19123.158.224.1 to 123.158.255.254123.158.255.2558,190
249123.159.0.0/19123.159.0.1 to 123.159.31.254123.159.31.2558,190
250123.159.32.0/19123.159.32.1 to 123.159.63.254123.159.63.2558,190
251123.159.64.0/19123.159.64.1 to 123.159.95.254123.159.95.2558,190
252123.159.96.0/19123.159.96.1 to 123.159.127.254123.159.127.2558,190
253123.159.128.0/19123.159.128.1 to 123.159.159.254123.159.159.2558,190
254123.159.160.0/19123.159.160.1 to 123.159.191.254123.159.191.2558,190
255123.159.192.0/19123.159.192.1 to 123.159.223.254123.159.223.2558,190
256123.159.224.0/19123.159.224.1 to 123.159.255.254123.159.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses